* {
  font-size: 10px;
}

header {
  background-color: #6D6E71;
  font-family: 'Roboto Slab', serif;
  text-align: center;
}

h1 {
  padding: 4rem;
  color: #FFFFFF;
  font-size: 6rem;
}

h6 {
  color: #6d6e71;
  font-size: 1.7rem;
}

p {
  margin-bottom: 3rem;
  color: #939598;
  font-size: 2rem;
  line-height: 3.4rem; 
}

.logo-style {
  color: #00A79D;
}

.input-boxes {
  height: 2.5rem;
  width: 50%;
  padding-left: 1rem;
  margin: 1rem;
  border: solid #939598 .1rem;
  font-size: 1.5rem;
  letter-spacing: .05rem;
  outline: none;  
}

.input-boxes::placeholder {
    color: #939598;
}

#save-btn {
  height: 2.5rem;
  width: 51.5%;
  margin-bottom: 3rem;
  background-color: #00A79D;
  border-radius: 0;
  color: #FFFFFF;
  outline: none;
}

#save-btn:hover {
  background-color: #045E55;
}

#search-field {
    height: 2.5rem;
    width: 85%;
    padding-left: 1rem;
    margin: 3rem 0 3rem 4rem;
    border: solid #939598 .1rem;
    font-size: 1.5rem;
    letter-spacing: .05rem;
    outline: none;
}

#search-field::placeholder {
  color: #939598;
}

.filter-buttons {
  text-align: center;
}

.filter-importance {
  width: 8rem;
  padding: 0.25rem 0;
  margin: 0 0.75rem;
  border: solid 3px #6D6E71;
  cursor: pointer;
  font-size: 1.5rem;
  letter-spacing: .05rem;
  outline: none;
}

.critical-btn {
  background-color: #B65159;
}

.critical-btn:hover {
  background-color: #952E36;
}

.high-btn {
  background-color: #c18d41;
}

.high-btn:hover {
  background-color: #A26E23;-
}

.normal-btn {
 background-color:#F9D790;  
}

.normal-btn:hover {
  background-color: #D1AB59;
}

.low-btn {
  background-color: #c4dfb6;
}

.low-btn:hover {
  background-color: #9AC185;
}

.none-btn {
  background-color: #BEDCE7;
}

.none-btn:hover {
  background-color: #8EBACB;
}

.body {
  position: relative; 
  width: 61%;
  margin: auto;
  font-family: 'Roboto Slab', serif;
}

.cards {
  width: 85%;
  margin: 1rem 0 0 4rem;
  font-family: 'Open Sans', sans-serif;
  border-bottom: solid #d1d3d4;
}

.top-card {
  display: inline-block;
  margin: 2rem auto;
  color: #6d6e71;
  font-size: 3rem;
  font-family: 'Roboto Slab', serif;
}

.bottom-line {
  display: inline-block;
  vertical-align: middle;
  margin-bottom: 3rem;
}

#delete-btn,
#upvote-btn,
#downvote-btn {
    height: 2.5rem;
    width: 2.5rem;
    background-repeat: no-repeat;
    background-size: cover;

}

#delete-btn {
  position: absolute;
  right: 5rem;
  background-image: url('images/delete.svg');
}

#delete-btn:hover {
  background-image: url('images/delete-hover.svg');
}

#upvote-btn {
  margin-right: 1rem;
  background-image: url('images/upvote.svg');
}

#upvote-btn:hover {
 background-image: url('images/upvote-hover.svg');
}

#downvote-btn {
  margin-right: 3rem;
  background-image: url('images/downvote.svg');
 
}

#downvote-btn:hover {
  background-image: url('images/downvote-hover.svg');
}

.card-button {
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 100%;
  outline: none;
}


.completed-btn {
  position: absolute;
  right: 5rem;
  padding: .25rem 1rem;
  background-color: #D2D3D4;
  border: 3px solid #00A79D;
  cursor: pointer;
  font-size: 1.5rem;
}

.bottom-btns {
  position: relative;
  margin: 40px 0;
}

.bottom-btn {
  width: 40%;
  padding: 5px 10px;
  background-color: #D2D3D4;
  border: 3px solid #00A79D;
  cursor: pointer;
  font-size: 1.5rem;
  outline: none;
}

.more-tasks {
  position: relative;
  margin-left: 4rem;
  margin-right: 3rem;
}

.completed-tasks {
  position: absolute;
}

.hidden {
  display: none
}

.completed-card {
  background-color: #626366b0;
}

.completed-card-buttons {
  border: 3px solid #00A79D;
}

@media screen and (min-width: 1600px) {
  .cards{
    width: 80%;
    margin: 0 auto;
  }

  .completed-btn {
    right: 7.3rem;
  }

  #delete-btn {
    right: 7.3rem;
  }

  #search-field {
    width: 79%;
    margin: 3rem 0 3rem 7.1rem;
  }

  .input-boxes {
    width: 47.5%;
    margin-right: 1.5rem;
  }

  #save-btn {
    width: 48.5%;
    margin-right: 1.5rem;
  }
}

@media screen and (max-width: 1450px) {
  .filter-importance {
    width:7.8rem;
  }

  .bottom-btn {
    width: 38%;
  }

  .more-task {
    margin-left: 5rem;
  }
}

@media screen and (max-width: 1300px ){
  .filter-importance {
    width: 11rem;
    margin: 10px 0.75rem;;
  }

  .completed-btn {
    position: absolute;
    right: .5rem;
  }

  #delete-btn {
    right: .5rem;
  }

  .cards {
    width: 95%;
  }
}

@media screen and (max-width: 1200px ){
  h6 {
    font-size: 1.2rem;
  }

  .completed-btn {
    font-size: .9rem;
    right: 2rem;
  }

  .cards {
    width: 95%;
  }
}

@media screen and (max-width: 1030px) {
  h6 {
    font-size: 1rem;
  }

  .completed-btn {
    font-size: .8rem;
    padding: .25rem .5rem;

  }
}

@media screen and (max-width: 900px) {
  h6 {
    position: relative;
    right: 40px;
    font-size: 1.1rem;
  }

  .filter-btns {
    position: relative;
    left: 0.5rem;
  }

  .completed-btn {
    position: absolute;
    right: -20px;
    font-size: 1.1rem;
  }

  .bottom-btn {
    font-size: 1.1rem;
  }

  #delete-btn {
    position: absolute;
    right: 1rem;
  }

  #search-field{
    margin: 3rem 0 3rem 2rem;
  }

  #save-btn {
    margin-left: 1rem;
  }
  
  .more-tasks {
    margin-left: 5rem;
  }
}

@media screen and (max-width: 850px){
 h6 {
  font-size: 0.95rem;
 }

 .completed-btn {
  font-size: 0.95rem;
 }

 #delete-btn,
 #upvote-btn,
 #downvote-btn {
  height: 2rem;
  width: 2rem;
 }

 .input-boxes {
  width: 75%;
 }

 #save-btn {
  width: 76.5%;
 }
  
 #search-field {
  width: 122%;
  margin: 2rem 0 3rem -3rem;
 } 

}

@media screen and (max-width: 733px) {
  .cards {
   margin-left: 0;
   width: 110%;
  }

  .filter-importance {
    width: 6rem;
  }

  .completed-btn {
    right: -2rem;
  }

  #delete-btn,
  #upvote-btn,
  #downvote-btn {
    height: 1.9rem;
    width: 1.9rem;
 }

 #delete-btn {
  right: -2rem;
 }
}





